package ee.ut.math.tvt.salessystem.penalty;

import ee.ut.math.tvt.salessystem.domain.data.Sale;

/**
 * Class encapsulating result of penalty calculation. It contains:
 *  * amount of penalty
 *  * amount of payback
 *  * sale for which discount was calculated
 *
 * @author Hannes Lehemets
 *
 */
public class Penalty {

	private double penaltyAmount;
	private String description;
	private Sale sale;

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public double getPenaltyAmount() {
		return penaltyAmount;
	}

	public void setPenaltyAmount(double penaltyAmount) {
		this.penaltyAmount = penaltyAmount;
	}

	public double getPaybackAmount() {
		return penaltyAmount + sale.getSum();
	}

	public Sale getSale() {
		return sale;
	}

	public void setSale(Sale sale) {
		this.sale = sale;
	}

}
