package ee.ut.math.tvt.salessystem.penalty;

import ee.ut.math.tvt.salessystem.domain.data.Sale;
import java.util.Date;


/**
 * Interface describing discount strategy.
 *
 * @author Hannes Lehemets
 *
 */
public interface Strategy {

	/**
	 * Calculate penalty.
	 *
	 * @param sale sales basket
	 * @param clientId client identifyer
	 * @param payDate date of payment
	 *
	 * @return penalty object containing penalty amount, payback amount and description.
	 */
	Penalty calculate(Sale sale, Long clientId, Date payDate);

}
